import type { _MDLMaterialProperty } from "./MDLMaterialProperty.js";
import type { _MDLScatteringFunction } from "./MDLScatteringFunction.js";
export declare class _MDLPhysicallyPlausibleScatteringFunction extends _MDLScatteringFunction {
    static alloc(): _MDLPhysicallyPlausibleScatteringFunction;
    static new(): _MDLPhysicallyPlausibleScatteringFunction;
    init(): _MDLPhysicallyPlausibleScatteringFunction;
    /** currently 1 */
    version(): number;
    /** diffuse shape */
    subsurface(): _MDLMaterialProperty;
    /** 0 = dielectric, 1 = metallic */
    metallic(): _MDLMaterialProperty;
    /** specular value */
    specularAmount(): _MDLMaterialProperty;
    /** bias towards surface color */
    specularTint(): _MDLMaterialProperty;
    /** diffuse and specular response */
    roughness(): _MDLMaterialProperty;
    /** shape of specular highlight */
    anisotropic(): _MDLMaterialProperty;
    /** shape of specular highlight */
    anisotropicRotation(): _MDLMaterialProperty;
    /** like velvet */
    sheen(): _MDLMaterialProperty;
    /** bias towards surface color */
    sheenTint(): _MDLMaterialProperty;
    /** like clear acrylic on a car */
    clearcoat(): _MDLMaterialProperty;
    /** 0 = satin, 1 = glossy */
    clearcoatGloss(): _MDLMaterialProperty;
}
